// HDR parameters
HDR_BLACK_LEVEL              200 200
HDR_EXPOSURE_RATIO           22
HDR_TNM_SCALE                10
HDR_TNM_WHITE                1

// Black Level
BLC_SENSOR_BLACK             25 25 25 25
BLC_SYS_BLACK                64

// Defective Pixel Fixing
DPF_DETECT_ENABLE            1
DPF_THRESHOLD                5
DPF_WEIGHT                   1

// Imager interface
IIF_CAP_RECT_TL              16 20
IIF_CAP_RECT_BR              1935 1099

// Colour Correction (for CCT 4500)
CCM_MATRIX                   1.66212 -0.531142 -0.130975 -0.38542 1.66488 -0.279465 0.156357 -0.727939 1.57158
CCM_OFFSETS                  -116.367 -110.104 -116.14

// Display Gammut Mapper
DGM_CLIP_MAX                 1
DGM_CLIP_MIN                 0
DGM_COEFF                    0 0 0 0 0 0
DGM_SLOPE                    1 1 0
DGM_SRC_NORM                 1

// Primary Denoiser
DNS_COMBINE_ENABLE           1
DNS_STRENGTH                 2

// Display Scaler
DSC_ADJUST_CUTOFF_FREQ       0
DSC_BYPASS                   0
DSC_PITCH                    1 1
DSC_RECT                     0 0 0 0
DSC_RECT_TYPE                croprect

// Encoder Scaler
ESC_ADJUST_CUTOFF_FREQ       0
ESC_BYPASS                   0
ESC_CHROMA_MODE              inter
ESC_PITCH                    1 1
ESC_RECT                     0 0 0 0
ESC_RECT_TYPE                croprect

// Gamma Correction
GMA_BYPASS                   0

// Lens Shading and White Balance (for CCT 4500)
LSH_WBCLIP                   1 1 1 1
LSH_WBGAIN                   1.52801 1.00096 1 2.3999

// Main Gammut Mapper
MGM_CLIP_MAX                 1
MGM_CLIP_MIN                 0
MGM_COEFF                    0 0 0 0 0 0
MGM_SLOPE                    1 1 0
MGM_SRC_NORM                 1

// Global Output parameters
OUT_DE                       NONE
OUT_ENC                      NV12
OUT_DISP                     RGB888_32

// RGB to YCC
R2Y_BRIGHTNESS               0
R2Y_CONTRAST                 1
R2Y_HUE                      0
R2Y_MATRIX                   BT709
R2Y_RANGE_MUL                1 1 1
R2Y_SATURATION               1

// Sharpening
SHA_DENOISE_BYPASS           0
SHA_DETAIL                   0.5
SHA_EDGE_OFFSET              0
SHA_EDGE_SCALE               0
SHA_DN_SIGMA_MULTIPLIER      0.5
SHA_DN_TAU_MULTIPLIER        3
SHA_RADIUS                   2
SHA_STRENGTH                 0.5
SHA_THRESH                   0

// Tone Mapper
TNM_BYPASS                   0
TNM_COLOUR_CONFIDENCE        1
TNM_COLOUR_SATURATION        1
TNM_FLAT_FACTOR              0
TNM_FLAT_MIN                 0
TNM_IN_Y                     -64 64
TNM_OUT_Y                    16 235
TNM_WEIGHT_LINE              0
TNM_WEIGHT_LOCAL             0

// YCC to RGB
Y2R_BRIGHTNESS               0
Y2R_CONTRAST                 1
Y2R_HUE                      0
Y2R_MATRIX                   BT709
Y2R_RANGE_MUL                1.1689 1.1429 1.1429
Y2R_SATURATION               1

// Temperature Correction parameters
WB_COMBINED_AC_WEIGHT        0.25
WB_COMBINED_HLW_WEIGHT       0.75
// The white patch statistic leads to colour oscillations with volatile thresholds (see #IPCAMSW-5465)
WB_COMBINED_WP_WEIGHT        0

WB_CORRECTIONS 6

WB_CCM_0    1.51672 -0.166268 -0.350449 -0.532157 1.72972 -0.197561 0.0794164 -1 1.92058
WB_CCM_1    1.6441 -0.4648 -0.179295 -0.450125 1.66905 -0.218928 0.183544 -0.903998 1.72045
WB_CCM_2    1.66212 -0.531142 -0.130975 -0.38542 1.66488 -0.279465 0.156357 -0.727939 1.57158
WB_CCM_3    1.68618 -0.573026 -0.11315 -0.328136 1.64499 -0.316852 0.14067 -0.649456 1.50879
WB_CCM_4    1.71338 -0.615054 -0.0983256 -0.290866 1.63081 -0.339946 0.133478 -0.614481 1.481
WB_CCM_5    1.77008 -0.674309 -0.0957681 -0.271214 1.64289 -0.371674 0.124164 -0.592688 1.46852

WB_GAINS_0    1.11532 1.00058 1 5.11315
WB_GAINS_1    1.31706 1.00037 1 3.10085
WB_GAINS_2    1.52801 1.00096 1 2.3999
WB_GAINS_3    1.75778 1.00003 1 2.02274
WB_GAINS_4    1.96842 1.00102 1 1.82568
WB_GAINS_5    2.2254 1.00138 1 1.66849

WB_OFFSETS_0    -116.461 -111.407 -116.799
WB_OFFSETS_1    -116.582 -110.518 -116.362
WB_OFFSETS_2    -116.367 -110.104 -116.14
WB_OFFSETS_3    -116.42 -110.462 -115.616
WB_OFFSETS_4    -116.398 -110.149 -115.263
WB_OFFSETS_5    -114.721 -109.772 -115.598

WB_TEMPERATURE_0    2500
WB_TEMPERATURE_1    3500
WB_TEMPERATURE_2    4500
WB_TEMPERATURE_3    5500
WB_TEMPERATURE_4    6500
WB_TEMPERATURE_5    7500

// Auto Exposure parameters
AE_TARGET_GAIN               1.0
AE_TARGET_BRIGHTNESS         0
AE_MAX_GAIN                  15.85
AE_MAX_EXPOSURE              11075
AE_FLICKER_REJECTION         0
AE_FLICKER_AUTODETECT        1
AE_FLICKER_FREQ              50
// A high value leads to overshoot and unbounded oscillations (see #IPCAMSW-5530)
AE_UPDATE_SPEED              0.2
